use argh::FromArgs;
use std::error::Error;

/// Add a hostname
#[derive(FromArgs, PartialEq, Debug)]
#[argh(subcommand, name = "add")]
pub struct Args {
    /// ip of hostname
    #[argh(positional)]
    ip: String,

    /// hostname to add
    #[argh(positional)]
    hostname: String,
}

/// FIXME
pub fn main(_: &Args) -> Result<(), Box<dyn Error>> {
    Ok(())
}
